for VERSION in v1 v2 v3 v4 v5 v6 v7 v8
do

cp constant/polyMesh/blockMeshDict_$VERSION constant/polyMesh/blockMeshDict
blockMesh
transformPoints -translate "( 0 0.05 0 )"


#----------------------------------------------------------------------
# LaunderSharma
#----------------------------------------------------------------------
model="LaunderSharma"
cp -f constant/RASProperties_$model constant/RASProperties

boundaryFoam_v1 > log_$model\_$VERSION
mv 1000 1000_$model\_$VERSION

#----------------------------------------------------------------------
# SST CWT
#----------------------------------------------------------------------
model="CWT"
cp -f constant/RASProperties_$model constant/RASProperties

boundaryFoam_v1 > log_$model\_$VERSION
mv 1000 1000_$model\_$VERSION

#----------------------------------------------------------------------
# SST LowRe
#----------------------------------------------------------------------

model="SST_LowRe"
cp -f constant/RASProperties_$model constant/RASProperties

boundaryFoam_v1 > log_$model\_$VERSION
mv 1000 1000_$model\_$VERSION

checkMesh -latestTime > checkMesh_$VERSION
done
